# -*- coding: utf-8 -*-
# vim: enc=utf-8
#
# Grab the crossfire-images archive of the sourceforge files list.  If
# you have a copy of the arch directory, you can run the
# adm/collect_images -archive from the lib directory of the server and
# it will make the archive.
#
%define base_name crossfire
%define name %{base_name}-client
%define version 1.7.1
%define image_version 1.7.1
%define snd_version 1.5.0
#%define doc_version 1.6.0
%define release alt1
%define snd_release alt4
#%define doc_release alt2

Name: %name
Version: %version
%ifdef cvsbuild
Release: %release.cvs%cvsbuild
%else
Release: %release
%endif
Summary: Client for connecting to crossfire servers
Summary(ru_RU.UTF-8): Клиент для подключения к серверам crossfire
License: GPL
Group: Games/Adventure
URL: http://crossfire.real-time.com

%ifdef cvsbuild
Source0: %{name}-%cvsbuild.tar.bz2
%else
Source0: %{name}-%version.tar.gz
%endif
Source1: %{name}-sounds-%snd_version.tar.bz2
Source2: %{name}-images-%image_version.tar.gz
Source3: %name
#Source4: %{base_name}-%doc_version.doc.tar.gz
Source5: %{name}-x11.alternatives
Source6: %{name}-gtk.alternatives

Requires: crossfire-client-gui

# Automatically added by buildreq on Sat Mar 05 2005
BuildRequires: glib-devel gtk+-devel libSDL-devel libSDL_image-devel libpng-devel xorg-x11-devel xorg-x11-libs zlib-devel

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

Client for playing the new client/server based version of Crossfire.
This package allows you to connect to crossfire servers around the world.
You do not need install the crossfire program in order to use this
package.

%description -l ru_RU.UTF-8
Crossfire - графическая ролевая приключенческая игра с характеристиками,
напоминающая rogue, nethack, omega и gauntlet. 
Имеет возможность многопользовательской игры и работает под X11.

Этот пакет содержит общие файлы клиентской части новой клиент/серверной
версии Crossfire и позволяет подключатся к серверам crossfire, 
расположенным по всему миру.


%package x11
Summary: X11 client for crossfire
Summary(ru_RU.UTF-8): GTK клиент для подключения к серверам crossfire
Group: Games/Adventure

Provides: crossfire-client-gui
Requires: crossfire-client = %version-%release

%description x11
X11 version of the crossfire client.

%description -l ru_RU.UTF-8 x11
X11-версия клиента для подключения к серверам crossfire.


%package gtk
Summary: GTK client for crossfire
Summary(ru_RU.UTF-8): GTK клиент для подключения к серверам crossfire
Group: Games/Adventure

Provides: crossfire-client-gui
Requires: crossfire-client = %version-%release

%description gtk
GTK version of the crossfire client.

%description -l ru_RU.UTF-8 gtk
GTK-версия клиента для подключения к серверам crossfire.


%package sounds
Version: %version
Release: %release
Summary: Sound effects for the crossfire game
Summary(ru_RU.UTF-8): Звуковые эффекты для клиента crossfire
Group: Games/Adventure
Requires: crossfire-client

%description sounds
Sound effects for people who want sounds with their game.

%description -l ru_RU.UTF-8 sounds
Пакет для желающих играть в crossfire со звуковым сопровождением.


#%package -n %{base_name}-doc
#Version: %doc_version
#Release: %doc_release
#Summary: Documentation for the crossfire game
#Summary(ru_RU.UTF-8): Документация для игры crossfire
#Group: Games/Adventure
#Requires: crossfire-client

#%description -n %{base_name}-doc
#This package contains documentation for the crossfire game.

#%description -l ru_RU.UTF-8 -n %{base_name}-doc
#Пакет содержит полный комплект документации для игры в crossfire.


#Not supported yet
#%package gnome
#Summary:gnome client for %{Name}
#Group: X11/Games
#Provides: crossfire-client
#
#%description gnome
#gnome version of the crossfire client


%prep
%setup -q -a 1
#-a 4

%build
CFLAGS="${CFLAGS:-%optflags}" ./configure \
	--prefix=%_prefix \
	--mandir=%_mandir \
	--bindir=%_gamesbindir \
	--datadir=%_gamesdatadir \
	--disable-alsa9 \
	--disable-alsa \
	--with-sound-dir=%_gamesdatadir/crossfire/sounds
%make_build

%install
#
# Sounds
#
install -d %buildroot%_gamesdatadir/crossfire/sounds
install %{name}-sounds-%snd_version/*.raw %buildroot%_gamesdatadir/crossfire/sounds
#
# Client images cd lib; adm/collect_images -archive
#
#install -d %{buildroot}%_gamesdatadir/crossfire
#install %{name}-images-%{image_version}/* %{buildroot}%_gamesdatadir/crossfire
%__tar xzf %SOURCE2 -C %buildroot%_gamesdatadir/crossfire
#
# KDE
#
#install -d %{buildroot}%{_datadir}/applnk/Games/Roguelikes
install -d %buildroot%_datadir/icons/hicolor/16x16/apps
install -d %buildroot%_datadir/icons/hicolor/32x32/apps
install -d %buildroot%_datadir/icons/hicolor/48x48/apps
install -d %buildroot%_datadir/icons/locolor/16x16/apps
install -d %buildroot%_datadir/icons/locolor/32x32/apps
install -d %buildroot%_datadir/icons/locolor/48x48/apps

%{__make} install \
    DESTDIR=%buildroot \
    bindir=%buildroot%_gamesbindir \
    mandir=%buildroot%_man6dir

#make install \
#    DESTDIR=%{buildroot}

#
# KDE
#
#install -m 644 -c gtk/crossfire-client.desktop \
#	%{buildroot}%{_datadir}/applnk/Games/Roguelikes/crossfire.desktop
%__install -m 644 pixmaps/16x16.png \
	%buildroot%_datadir/icons/hicolor/16x16/apps/crossfire-client.png
%__install -m 644 pixmaps/32x32.png \
	%buildroot%_datadir/icons/hicolor/32x32/apps/crossfire-client.png
%__install -m 644 pixmaps/48x48.png \
	%buildroot%_datadir/icons/hicolor/48x48/apps/crossfire-client.png
%__install -m 644 pixmaps/16x16.png \
	%buildroot%_datadir/icons/locolor/16x16/apps/crossfire-client.png
%__install -m 644 pixmaps/32x32.png \
	%buildroot%_datadir/icons/locolor/32x32/apps/crossfire-client.png
%__install -m 644 pixmaps/48x48.png \
	%buildroot%_datadir/icons/locolor/48x48/apps/crossfire-client.png

%__mkdir_p %buildroot{%_menudir,%_altdir}
%__install -D -m644 %SOURCE3 %buildroot/%_menudir

#install -d %{buildroot}%_defaultdocdir/%{base_name}-doc-%doc_version
#cp -R %{base_name}-doc/* \
#	%{buildroot}%_defaultdocdir/%{base_name}-doc-%doc_version
#install -d \
#	%{buildroot}%_defaultdocdir/%{base_name}-doc-%doc_version/Scripting/examples/script
#cp Documentation/Scripting.html \
#	%{buildroot}%_defaultdocdir/%{base_name}-doc-%doc_version/Scripting
#cp Documentation/examples/script/*.c \
#	%{buildroot}%_defaultdocdir/%{base_name}-doc-%doc_version/Scripting

%__install -p -m644 %SOURCE5 %buildroot%_altdir/%{name}-x11
%__install -p -m644 %SOURCE6 %buildroot%_altdir/%{name}-gtk

#install -d \
#	%{buildroot}%_defaultdocdir/%{base_name}-doc-%{doc_version}/Scripting
#cp -R Documentation/* \
#	%{buildroot}%_defaultdocdir/%{base_name}-doc-%{doc_version}/Scripting


%post
%update_menus

%postun
%clean_menus

%post x11
%register_alternatives %{name}-x11

%postun x11
%unregister_alternatives %{name}-x11

%post gtk
%register_alternatives %{name}-gtk

%postun gtk
%unregister_alternatives %{name}-gtk


%files
%doc CHANGES NOTES README TODO
%_menudir/%name
#
# KDE
#
#%{_datadir}/applnk/Games/Roguelikes/*.desktop
%_datadir/icons/hicolor/16x16/apps/%{name}.png
%_datadir/icons/hicolor/32x32/apps/%{name}.png
%_datadir/icons/hicolor/48x48/apps/%{name}.png
%_datadir/icons/locolor/16x16/apps/%{name}.png
%_datadir/icons/locolor/32x32/apps/%{name}.png
%_datadir/icons/locolor/48x48/apps/%{name}.png
%dir %_gamesdatadir/crossfire
%attr(0444,root,root) %_gamesdatadir/crossfire/*
%exclude %_gamesdatadir/crossfire/sounds


%files x11
%_gamesbindir/cfclient
%_man6dir/cfclient.6*
%_altdir/%{name}-x11


%files gtk
%_gamesbindir/gcfclient
%_man6dir/gcfclient.6*
%_altdir/%{name}-gtk


# Not supported yet
#%files gnome
#%defattr(644,root,root,755)
#%doc CHANGES COPYING License NOTES README TODO
#%attr(755,root,root) /usr/X11R6/bin/gnome-cfclient
#/usr/X11R6/man/man1/gnome-cfclient.1*
#/usr/share/gnome/apps/Games/Tclug/crossfire.desktop
#/usr/share/pixmaps/shield.png


%files sounds
%dir %_gamesdatadir/crossfire/sounds
%attr(444,root,root) %_gamesdatadir/crossfire/sounds/*
%_gamesbindir/cfsndserv*


#%files -n %{base_name}-doc
#%_defaultdocdir/%{base_name}-doc-%doc_version


%changelog
* Sat Mar 05 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.7.1-alt1
- New version

* Fri Jan 28 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.7.0-alt3.cvs20040919
- Build crossfire-doc from crossfire-1.7.0-alt1.src

* Thu Dec 23 2004 Eugene Vlasov <eugvv@altlinux.ru> 1.7.0-alt2.cvs20040919
- Updated to CVS snapshot 20040919
- Moved x11 client into a separate package
- Used alternatives to select x11/gtk client
- Added scripting documentation

* Sun Dec 12 2004 Eugene Vlasov <eugvv@altlinux.ru> 1.7.0-alt1
- First build for Sisyphus

